### Hierarchy

- XMLHttpRequestEventTarget
  - XMLHttpRequestUpload

## Index

### Properties

- XMLHttpRequestEventTarget
- onabort
- onerror
- onload
- onloadend
- onloadstart
- onprogress
- ontimeout

### Methods

- addEventListener
- dispatchEvent
- removeEventListener

## Properties

### XMLHttpRequestEventTarget

XMLHttpRequestEventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16933

#### Type declaration

- ##### constructor: function

  - new __type(): XMLHttpRequestEventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16934

    #### Returns XMLHttpRequestEventTarget

- ##### prototype: XMLHttpRequestEventTarget

### onabort

onabort: function | null

Inherited from XMLHttpRequestEventTarget.onabort

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16920

### onerror

onerror: function | null

Inherited from XMLHttpRequestEventTarget.onerror

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16921

### onload

onload: function | null

Inherited from XMLHttpRequestEventTarget.onload

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16922

### onloadend

onloadend: function | null

Inherited from XMLHttpRequestEventTarget.onloadend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16923

### onloadstart

onloadstart: function | null

Inherited from XMLHttpRequestEventTarget.onloadstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16924

### onprogress

onprogress: function | null

Inherited from XMLHttpRequestEventTarget.onprogress

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16925

### ontimeout

ontimeout: function | null

Inherited from XMLHttpRequestEventTarget.ontimeout

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16926

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides XMLHttpRequestEventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16939

  #### Type parameters

  - #### K: keyof XMLHttpRequestEventTargetEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: XMLHttpRequestUpload, ev: XMLHttpRequestEventTargetEventMap[K]): any

      - #### Parameters

        - ##### this: XMLHttpRequestUpload

        - ##### ev: XMLHttpRequestEventTargetEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides XMLHttpRequestEventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16940

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides XMLHttpRequestEventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16941

  #### Type parameters

  - #### K: keyof XMLHttpRequestEventTargetEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: XMLHttpRequestUpload, ev: XMLHttpRequestEventTargetEventMap[K]): any

      - #### Parameters

        - ##### this: XMLHttpRequestUpload

        - ##### ev: XMLHttpRequestEventTargetEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides XMLHttpRequestEventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16942

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc